from __future__ import absolute_import, unicode_literals
import os
from celery import Celery
from django.apps import apps
import logging

# Définir le module de réglages de Django
os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'N3wtSchool.settings')

app = Celery('N3wtSchool')

# Lire les configurations de Celery depuis les réglages de Django
app.config_from_object('django.conf:settings', namespace='CELERY')

# Découverte automatique des tâches des apps Django
app.autodiscover_tasks(lambda: [n.name for n in apps.get_app_configs()])

# Configurer le logger global pour Celery
logger = logging.getLogger('celery')
logger.setLevel(logging.WARNING)
